org.eclipse.actf.model.ui.editors.ooo.initializer.util

## Class OOoEditorInitUtil

- java.lang.Object
- - org.eclipse.actf.model.ui.editors.ooo.initializer.util.OOoEditorInitUtil

    public class OOoEditorInitUtil
    extends Object

Utility class for OpenOffice.org (OOo) Editor.

### Constructor Summary

Constructors
Constructor and Description
`OOoEditorInitUtil()`

### Method Summary

Methods
`static String` `getOpenOfficePath()` get OpenOffice.org (later than 2.0) path
`static boolean` `isOOoInstalled(boolean showHelp)` check existence of OOo.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OOoEditorInitUtil

    public OOoEditorInitUtil()

### Method Detail

#### isOOoInstalled

    public static boolean isOOoInstalled(boolean showHelp)

check existence of OOo.

Parameters:
  `showHelp` - if true and OOo does not exist, Help page will be shown
Returns:
  true if OOo exists

#### getOpenOfficePath

    public static String getOpenOfficePath()

get OpenOffice.org (later than 2.0) path

Returns:
  the install path of OpenOffice.org
Throws:
  `IllegalArgumentException`